INTERFACE
SUBROUTINE SQRTBINAD(YDCV,YDSPEC,PGP3,PGP2)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE CONTROL_VECTORS, ONLY : CONTROL_VECTOR
USE SPECTRAL_FIELDS_MOD
TYPE(CONTROL_VECTOR), INTENT(INOUT) :: YDCV
TYPE(SPECTRAL_FIELD), INTENT(INOUT) :: YDSPEC
REAL(KIND=JPRB), INTENT(INOUT) :: PGP3(:,:,:),PGP2(:,:,:)
END SUBROUTINE SQRTBINAD
END INTERFACE
